{
  "schema_version": "1.4.0",
  "id": "GHSA-xvh2-crgv-94ww",
  "modified": "2022-05-01T17:58:02Z",
  "published": "2022-05-01T17:58:02Z",
  "aliases": [
    "CVE-2007-1885"
  ],
  "details": "Integer overflow in the str_replace function in PHP 4 before 4.4.5 and PHP 5 before 5.2.1 allows context-dependent attackers to execute arbitrary code via a single character search string in conjunction with a long replacement string, which overflows a 32 bit length counter.  NOTE: this is probably the same issue as CVE-2007-0906.6.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-1885"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/33767"
    },
    {
      "type": "WEB",
      "url": "http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?lang=en&cc=us&objectID=c01056506"
    },
    {
      "type": "WEB",
      "url": "http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?lang=en&cc=us&objectID=c01086137"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25423"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25850"
    },
    {
      "type": "WEB",
      "url": "http://www.php-security.org/MOPB/MOPB-39-2007.html"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/releases/5_2_1.php"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23233"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1991"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2374"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-04-06T01:19:00Z"
  }
}